Summary: The libglade library for loading user interfaces.
Name:		libglade
Version: 	0.16
Release: 	4
Epoch:		1
Copyright:	LGPL
Group: System Environment/Libraries
Source: 	ftp://ftp.daa.com.au/pub/james/gnome/libglade-%{version}.tar.gz
Patch:		libglade-0.16-fixquote.patch
URL:		http://www.daa.com.au/~james/gnome/
BuildRoot:	/var/tmp/%{name}-%{version}-root
Requires:	gnome-libs
Requires:	libxml
BuildRequires:  gnome-libs-devel libxml-devel


%description
Libglade is a small library that allows a program to load its user
interface from am XML description at runtime. Libglade uses the XML
file format used by the GLADE user interface builder GLADE, so
libglade acts as an alternative to GLADE's code generation
approach. Libglade also provides a simple interface for connecting
handlers to the various signals in the interface (on platforms where
the gmodule library works correctly, it is possible to connect all the
handlers with a single function call). Once the interface has been
instantiated, libglade gives no overhead, so other than the short
initial interface loading time, there is no performance tradeoff.

%package devel
Summary: The files needed for libglade application development.
Group: Development/Libraries
Requires:	%name = %{PACKAGE_VERSION}
Requires:	gnome-libs-devel
Requires:	libxml-devel

%description devel
The libglade-devel package contains the libraries and include files
that you can use to develop libglade applications.

%prep
%setup -q -n %{name}-%{version}
%patch -p1 -b ".fixquote"

%build
libtoolize --copy --force
autoconf
automake
CFLAGS="-pipe $RPM_OPT_FLAGS" ./configure	\
	--prefix=%{_prefix} --sysconfdir=%{_sysconfdir}	\
	--localstatedir=%{_localstatedir} --without-bonobo
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{_localstatedir} install
# no binary stripping

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING
%{_prefix}/lib/lib*.so.*

%files devel
%defattr(-, root, root)
%doc test-libglade.c
%doc *.glade
%{_prefix}/bin/*
%{_prefix}/lib/lib*.so
%{_prefix}/lib/*a
%{_prefix}/include/glade
%{_prefix}/share/aclocal/*
%{_prefix}/lib/libgladeConf.sh

%doc %{_prefix}/share/gnome/html/libglade/*

%changelog
* Mon Aug 20 2001 Jonathan Blandford <jrb@redhat.com>
- Escape strings, #51966

* Sun Jul 22 2001 Havoc Pennington <hp@redhat.com>
- add build requires, bug #49508

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- New Version.

* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9 include paths

* Thu Feb 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add libtoolize to make porting to new archs easy

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
- 0.14
- added patch for gtk-doc scanner linkage

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Owen Taylor <otaylor@redhat.com>
- specfile fixes

* Wed May 31 2000 Owen Taylor <otaylor@redhat.com>
- Upgraded to libglade-0.13
- Use %makeinstall, since that is required when %configure is used.

* Fri May 19 2000 Owen Taylor <otaylor@redhat.com>
- Upgraded to libglade-0.12

* Tue Sep 07 1999 Elliot Lee <sopwith@redhat.com>
- Updated RHL 6.1 package to libglade-0.5

* Sun Nov  1 1998 James Henstridge <james@daa.com.au>

- Updated the dependencies of the devel package, so users must have gtk+-devel.

* Sun Oct 25 1998 James Henstridge <james@daa.com.au>

- Initial release 0.0.1
